const { webhook, cleanup } = require('./webhook');

module.exports = async (req, res) => {
    // Check if it's a cron cleanup request
    if (req.headers['x-vercel-cron']) {
        return cleanup(req, res);
    }
    
    // Otherwise handle as webhook
    return webhook(req, res);
};